<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Task 32.60</title>
</head>

<body>
    <div class="coutainer-fluid">
        <div class="text-center mb-4">
            <h3>Danh sách ảnh của album số 3</h3>
        </div>
    </div>
    <table id="table-album" class="table table-bordered table-striped table-hover">
        <thead>
            <th>STT</th>
            <th>ALBUM</th>
            <th>TITLE</th>
            <th>URL ẢNH</th>
            <th>THUMBNAIL</th>

        </thead>
        <tbody></tbody>
    </table>

    </table>
</body>
<script>
    $(document).ready(function () {
        onPageLoading();
    })
    function onPageLoading() {
        callApiAllPhoto();
    }
    function callApiAllPhoto() {
        $.ajax({
            url: "https://jsonplaceholder.typicode.com/albums/3/photos",
            type: "GET",
            success: function (paramOjb) {
                console.log(paramOjb)
                showDatatoTable(paramOjb)
            },
            error: function (paramEror) {
                console.log(paramEror.responseText)
            }

        })
    }
    function showDatatoTable(paramOjb) {
        var vTbody = $("#table-album tbody")
        for (var bI = 0; bI < paramOjb.length; bI++) {
            var bNewRow = $("<tr>").appendTo(vTbody)
            $("<td>", { html: bI + 1 }).appendTo(bNewRow)
            $("<td>", { html: paramOjb[bI].albumId }).appendTo(bNewRow)
            $("<td>", { html: paramOjb[bI].title }).appendTo(bNewRow)
            $("<td>", { html: paramOjb[bI].url }).appendTo(bNewRow)
                // ô ảnh
            var bColThumbnail = $("<td>").appendTo(bNewRow)
            var bImg = $("<img>")
            .attr("src",paramOjb[bI].thumbnailUrl)
            .appendTo(bColThumbnail)    
        }

    }
</script>

</html>